<?php

declare(strict_types=1);

namespace System\Database;

final class Schema
{
    public static function create(
        string $table,
        callable $callback
    ): string {

        $blueprint = new Blueprint($table);

        $callback($blueprint);

        return $blueprint->toSql();
    }
}